ReactPhysics3D: reactphysics3d::OverlappingPairs::ConcaveOverlappingPair Struct Reference

| ReactPhysics3D v0.10.2 C++ Physics engine library

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
reactphysics3d::OverlappingPairs::ConcaveOverlappingPair Struct Reference

An overlapping pair between a convex collider and a concave collider. More...

`#include <include/reactphysics3d/engine/OverlappingPairs.h>`

Inheritance diagram for reactphysics3d::OverlappingPairs::ConcaveOverlappingPair:

## Public Member Functions
| ConcaveOverlappingPair (uint64 pairId, int32 broadPhaseId1, int32 broadPhaseId2, Entity collider1, Entity collider2, NarrowPhaseAlgorithmType narrowPhaseAlgorithmType, bool isShape1Convex, MemoryAllocator &poolAllocator, MemoryAllocator &heapAllocator, bool isEnabled, bool allocateLastFrameCollisionInfos=true)
| Constructor.
void | destroyLastFrameCollisionInfos ()
LastFrameCollisionInfo * | addLastFrameInfoIfNecessary (uint32 shapeId1, uint32 shapeId2)
void | clearObsoleteLastFrameInfos ()
| Clear the obsolete LastFrameCollisionInfo objects.
Public Member Functions inherited from reactphysics3d::OverlappingPairs::OverlappingPair
| OverlappingPair (uint64 pairId, int32 broadPhaseId1, int32 broadPhaseId2, Entity collider1, Entity collider2, NarrowPhaseAlgorithmType narrowPhaseAlgorithmType, bool isEnabled)
| Constructor.
virtual | ~OverlappingPair ()=default
| Destructor.

## Public Attributes
bool | isShape1Convex
| True if the first shape of the pair is convex.
Map< uint64, LastFrameCollisionInfo * > | lastFrameCollisionInfos
| Temporal coherence collision data for each overlapping collision shapes of this pair.
Public Attributes inherited from reactphysics3d::OverlappingPairs::OverlappingPair
uint64 | pairID
| Ids of the convex vs convex pairs.
int32 | broadPhaseId1
| Broad-phase Id of the first shape.
int32 | broadPhaseId2
| Broad-phase Id of the second shape.
Entity | collider1
| Entity of the first collider of the convex vs convex pairs.
Entity | collider2
| Entity of the second collider of the convex vs convex pairs.
bool | needToTestOverlap
| True if we need to test if the convex vs convex overlapping pairs of shapes still overlap.
NarrowPhaseAlgorithmType | narrowPhaseAlgorithmType
| Pointer to the narrow-phase algorithm.
bool | collidingInPreviousFrame
| True if the colliders of the overlapping pair were colliding in the previous frame.
bool | collidingInCurrentFrame
| True if the colliders of the overlapping pair are colliding in the current frame.
bool | isEnabled
| True if at least one body of the pair is awake or not static

## Detailed Description

An overlapping pair between a convex collider and a concave collider.

## Member Data Documentation

## ◆ lastFrameCollisionInfos

Map<uint64, LastFrameCollisionInfo*> reactphysics3d::OverlappingPairs::ConcaveOverlappingPair::lastFrameCollisionInfos

Temporal coherence collision data for each overlapping collision shapes of this pair.

Temporal coherence data store collision information about the last frame. If two convex shapes overlap, we have a single collision data but if one shape is concave, we might have collision data for several overlapping triangles. The key in the map is the shape Ids of the two collision shapes.

The documentation for this struct was generated from the following file:

- include/reactphysics3d/engine/OverlappingPairs.h